Package ru.bitel.bgbilling.modules.enaza.server.bean

# Class EnazaAccessToken

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.enaza.server.bean.EnazaAccessToken

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class EnazaAccessToken extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnazaAccessToken()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `generate()`
  `String`
  `getAccessToken()`
  `Date`
  `getAccessTokenCreate()`
  `String`
  `getCode()`
  `Date`
  `getCodeExpire()`
  `void`
  `setAccessToken(String accessToken)`
  `void`
  `setAccessTokenCreate(Date accessTokenCreate)`
  `void`
  `setCode(String code)`
  `void`
  `setCodeExpire(Date codeExpire)`
  `EnazaAccessToken`
  `setContractId(int contractId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EnazaAccessToken

    public EnazaAccessToken()

- ## Method Details

  - ### setContractId

    public EnazaAccessToken setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getCode

    public String getCode()

  - ### setCode

    public void setCode(String code)

  - ### getCodeExpire

    public Date getCodeExpire()

  - ### setCodeExpire

    public void setCodeExpire(Date codeExpire)

  - ### getAccessToken

    public String getAccessToken()

  - ### setAccessToken

    public void setAccessToken(String accessToken)

  - ### getAccessTokenCreate

    public Date getAccessTokenCreate()

  - ### setAccessTokenCreate

    public void setAccessTokenCreate(Date accessTokenCreate)

  - ### generate

    public String generate()